/******************************************************************************
* All mallocs from irit modules should be piped through this allocator.       *
*									      *
*					 Written by Gershon Elber, April 1993 *
******************************************************************************/

#ifndef IMALLOC_H
#define IMALLOC_H

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

void IritTestAllDynMemory(int PrintAlloc);
VoidPtr IritMalloc(unsigned size);
void IritFree(VoidPtr p);

#if defined(__cplusplus) || defined(c_plusplus)
}
#endif

#endif /* IMALLOC_H */
